#1844 closed defect (fixed)

Invalid MP packet prefix for message queues

Reported by: Sebastian Huber Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Currently we have sizeof(Message_queue_MP_Packet) > MP_PACKET_MINIMUM_PACKET_SIZE (at least on PowerPC). Therefore we should increase MP_PACKET_MINIMUM_PACKET_SIZE.

Index: score/include/rtems/score/mppkt.h
===================================================================
--- score/include/rtems/score/mppkt.h (revision 5018)
+++ score/include/rtems/score/mppkt.h (working copy)
@@ -99,7 +99,7 @@

/

  • An MPCI must support packets of at least this size. */

-#define MP_PACKET_MINIMUM_PACKET_SIZE 64
+#define MP_PACKET_MINIMUM_PACKET_SIZE 128

/

  • The following constant defines the number of uint32_t 's

Change History (3)

comment:1 Changed on Jul 21, 2011 at 6:36:07 AM by Sebastian Huber

Summary: MP_PACKET_MINIMUM_PACKET_SIZE too smallInvalid MP packet prefix for message queues

comment:2 Changed on Sep 9, 2011 at 10:21:39 AM by Sebastian Huber

Resolution: fixed
Status: newclosed

I replaced the sizeof(Message_queue_MP_Packet) with

#define MESSAGE_QUEUE_MP_PACKET_SIZE \

offsetof(Message_queue_MP_Packet, Buffer.buffer)

this should fix the problem.

comment:3 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.